/* bzflag
 * Copyright (c) 1993 - 2005 Tim Riker
 *
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the license found in the file
 * named COPYING that should have accompanied this file.
 *
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include <vector>
#include <string>

class CronJob {
public:
  CronJob();
  CronJob(std::string job);
  ~CronJob();

  void setJob(std::string job);

  bool matches(int n, int h, int d, int m, int w);

  std::string getCommand() {return command;};

private:
  bool isInVector(std::vector<int> &iv, int x);
  std::vector<int> parseTimeList(std::string times, int min, int max);

  std::vector<int> minutes;
  std::vector<int> hours;
  std::vector<int> days;
  std::vector<int> months;
  std::vector<int> weekdays;
  std::string command;
};

// Local Variables: ***
// mode:C++ ***
// tab-width: 8 ***
// c-basic-offset: 2 ***
// indent-tabs-mode: t ***
// End: ***
// ex: shiftwidth=2 tabstop=8

